Stocks order details

Use this API to fetch orders details for a guest/connected user using transactionId/batchId

Possible inputs

1. Passing only transactionId(s)

If transactionId(s) are passed as input, then order details will be returned for all valid transactionId having intent of TRANSACTION and status = COMPLETED . If all of them are invalid ids, no orders will be returned

For a connected user, the transactionId must be associated with the user smallcaseAuthId, else no order details will be shown

For a guest user, order details will be fetched for the provided transactionId(s)

2. Passing only batchId(s)

For a connected user, order details will be fetched with the provided batchId(s), which should be associated with the user smallcaseAuthId, else no order details will be shown.

For a guest user, order details will be fetched for the provided batchId(s)

3. Passing both transactionId(s) and batchId(s)

If a mix of both transactionId and batchId is passed as input params, then order details will be fetched in a similar fashion as discussed in the points above.

Note: For guest users, either transactionId or batchId must be present



Request parameters

Path Params
string
required
Defaults to gatewaydemo
Query Params
transactionId
array of strings

Optional | transactionId(s) for which you want to fetch order details

transactionId
batchId
array of strings

Optional | batchId(s) for which you want to fetch order details

batchId
Headers
string
required
Defaults to gatewayDemo_secret

Required | apiSecret shared for authentication

string
required
Defaults to eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJndWVzdCI6dHJ1ZSwiaWF0IjoxNjU0MzIxMDAwfQ.qiZ_w1yFYXhkdLMlqI28XJOXitfZwr64e2oL-lMEHZU

Required | JWT signed with shared secret & payload for connected user or a guest user

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json